#include "IoState.h"
#include "IoObject.h"

IoObject *IoRegexMatches_proto(void *state);
IoObject *IoRegex_proto(void *state);
IoObject *IoRegexMatch_proto(void *state);

void IoRegexInit(IoObject *context)
{
	IoState *self = IoObject_state((IoObject *)context);

	IoObject_setSlot_to_(context, SIOSYMBOL("RegexMatches"), IoRegexMatches_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("Regex"), IoRegex_proto(self));

	IoObject_setSlot_to_(context, SIOSYMBOL("RegexMatch"), IoRegexMatch_proto(self));

}
